## ros-indigo-mav-msgs 3.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mav_msgs)

find_package(catkin REQUIRED message_generation std_msgs geometry_msgs trajectory_msgs)
include_directories(include ${catkin_INCLUDE_DIRS})

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  # ROS == Indigo.
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
else()
  # ROS > Indigo.
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

add_definitions(-std=c++11)

add_message_files(
  FILES
  Actuators.msg
  AttitudeThrust.msg
  RateThrust.msg
  RollPitchYawrateThrust.msg
  TorqueThrust.msg
  Status.msg
  FilteredSensorData.msg
  GpsWaypoint.msg
)

generate_messages(DEPENDENCIES std_msgs geometry_msgs)

catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  CATKIN_DEPENDS message_runtime std_msgs geometry_msgs trajectory_msgs
  CFG_EXTRAS export_flags.cmake
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-mav-msgs (3.3.2-0trusty) trusty; urgency=high

  * Fix indigo eigen3 compatibility.

 -- Rik Bähnemann <brik@ethz.ch>  Tue, 21 Aug 2018 22:00:00 -0000

ros-indigo-mav-msgs (3.3.1-0trusty) trusty; urgency=high

  * Fix Eigen3 warning. Migration from Jade.
  * Change maintainer.

 -- Rik Bähnemann <brik@ethz.ch>  Mon, 20 Aug 2018 22:00:00 -0000

ros-indigo-mav-msgs (3.3.0-0trusty) trusty; urgency=high

  * Add time conversion utilities.
  * Add motor position and force default topics.
  * Add conversion from pose message to Eigen trajectory point.
  * Add angular accelerations as member of EigenMavState to calculate motor speeds.
  * Contributors: Helen Oleynikova, Karen Bodie, Rik Bähnemann

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 16 Aug 2018 22:00:00 -0000

ros-indigo-mav-msgs (3.2.0-0trusty) trusty; urgency=high

  * Access covariance in eigen odometry
  * External force default topic
  * External wind speed default topic

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 01 Mar 2017 23:00:00 -0000

ros-indigo-mav-msgs (3.1.0-0trusty) trusty; urgency=high

  * Add getEulerAngles method to EigenOdometry message.
  * Improved quaternionFromMsg unit quaternion checking.
  * Add EigenMavState to eigen_mav_msgs.
  * Add EigenMavStateFromEigenTrajectoryPoint conversion.
  * Add timestamp_ns to EigenTrajectoryPoint.
  * Add default values in a seperate header.
  * Add in_air bool to Status.msg.
  * Add many helper function to calculate earth gravitational field based on hight and latitude, get euler angles from quaternion and shortest distance between two yaw angles.
  * Contributors: Mina Kamel, Helen Oleynikova, Michael Burri

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Wed, 30 Nov 2016 23:00:00 -0000

ros-indigo-mav-msgs (3.0.0-0trusty) trusty; urgency=high

  * Dropped "Command" from the names of all messages.
  * Converted CommandPositionYawTrajectory message to MultiDOFJointTrajectory (with an additional option to use a geometry_msgs/PoseStamped instead) as the two ways to send trajectory/waypoint commands.
  * Added conversions between the Eigen and ROS message types.
  * Switched to using full orientation instead of just yaw where appropriate.
  * Documented reference frame in the Eigen messages where possible.
  * Contributors: Helen Oleynikova, Markus Achtelik

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Sat, 08 Aug 2015 22:00:00 -0000

ros-indigo-mav-msgs (2.0.3-0trusty) trusty; urgency=high

  * added install target for include
    Headers can be included outside of this package.
  * Contributors: Fadri Furrer

 -- Fadri Furrer <fadri.furrer@mavt.ethz.ch>  Thu, 21 May 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-mav-msgs
Section: misc
Priority: extra
Maintainer: Rik Bähnemann <brik@ethz.ch>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: https://github.com/ethz-asl/mav_comm
Standards-Version: 3.9.2

Package: ros-indigo-mav-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: Package containing messages for communicating with rotary wing MAVs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mav-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
